Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.james.mime4j.field.mimeversion
Class MimeVersionParser

    java.lang.Object
      org.apache.james.mime4j.field.mimeversion.MimeVersionParser

All Implemented Interfaces:
  MimeVersionParserConstants

    public class MimeVersionParser

extends java.lang.Object
implements MimeVersionParserConstants

Field Summary
`static int` | `INITIAL_VERSION_VALUE`
`Token` | `jj_nt`
`Token` | `token`
`MimeVersionParserTokenManager` | `token_source`

Fields inherited from interface org.apache.james.mime4j.field.mimeversion.MimeVersionParserConstants
`ANY, COMMENT, DEFAULT, DIGITS, DOT, EOF, INCOMMENT, INQUOTEDSTRING, NESTED_COMMENT, QUOTEDPAIR, QUOTEDSTRING, tokenImage, WS`

Constructor Summary
`MimeVersionParser(java.io.InputStream stream)`
`MimeVersionParser(java.io.InputStream stream, java.lang.String encoding)`
`MimeVersionParser(MimeVersionParserTokenManager tm)`
`MimeVersionParser(java.io.Reader stream)`

Method Summary
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`ParseException` | `generateParseException()`
`int` | `getMajorVersion()`
`int` | `getMinorVersion()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`void` | `parse()`
`void` | `parseAll()`
`void` | `parseLine()`
`void` | `ReInit(java.io.InputStream stream)`
`void` | `ReInit(java.io.InputStream stream, java.lang.String encoding)`
`void` | `ReInit(MimeVersionParserTokenManager tm)`
`void` | `ReInit(java.io.Reader stream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INITIAL_VERSION_VALUE

    public static final int INITIAL_VERSION_VALUE

See Also:
  Constant Field Values

### token_source

    public MimeVersionParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

Constructor Detail

### MimeVersionParser

    public MimeVersionParser(java.io.InputStream stream)

### MimeVersionParser

    public MimeVersionParser(java.io.InputStream stream,
                             java.lang.String encoding)

### MimeVersionParser

    public MimeVersionParser(java.io.Reader stream)

### MimeVersionParser

    public MimeVersionParser(MimeVersionParserTokenManager tm)

Method Detail

### getMinorVersion

    public int getMinorVersion()

### getMajorVersion

    public int getMajorVersion()

### parseLine

    public final void parseLine()
                         throws ParseException

  Throws:
    `ParseException`

### parseAll

    public final void parseAll()
                        throws ParseException

  Throws:
    `ParseException`

### parse

    public final void parse()
                     throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(java.io.InputStream stream,
                       java.lang.String encoding)

### ReInit

    public void ReInit(java.io.Reader stream)

### ReInit

    public void ReInit(MimeVersionParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.